[05/17] Trivial: fix checking empty return value
diff mbox

Message ID 1481606975-13186-6-git-send-email-zren@suse.com
State New
Headers show

Commit Message

Zhen Ren Dec. 13, 2016, 5:29 a.m. UTC
We now get the below error even if "reserve space"
testcase succeeds:
	"Error in log_end()"
This is because we passed Nil to log_end.

Signed-off-by: Eric Ren <zren@suse.com>
---
 programs/python_common/single_run-WIP.sh | 1 +
 1 file changed, 1 insertion(+)

Patch
diff mbox

diff --git a/programs/python_common/single_run-WIP.sh b/programs/python_common/single_run-WIP.sh
index 99f24cc..d474463 100755
--- a/programs/python_common/single_run-WIP.sh
+++ b/programs/python_common/single_run-WIP.sh
@@ -781,6 +781,7 @@  run_reserve_space()
 				done
 
 				do_umount ${mountpoint}
+				RC=$?
 
 				log_end ${RC}
 			done